#pragma once

#include "Widget.h"
#include <vector>

class HorizontalSpacer : public Widget
{
    std::vector<double> mScales;

public:
    HorizontalSpacer();

    static std::unique_ptr<HorizontalSpacer> Create();

    void addWidget(WidgetUPtr widget) override;

    void addWidgetWithScale(WidgetUPtr widget, double scale);

    void addChildLayers(const PaintEvent* event) override;

    void onPaintEvent(const PaintEvent* event) override;
};

using HorizontalSpacerUPtr = std::unique_ptr<HorizontalSpacer>;
